For the complete documentation index, see llms.txt. This page is also available as Markdown.

List backups of cluster

Retrieves a list of all backups of the given PostgreSQL cluster.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
200

Successful operation.

application/json

Pagination information in list responses. DEPRECATED because of misspelled _links attribute.

typestring · enumOptional

The type of the resource.

Possible values:
idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
get/clusters/{clusterId}/backups
GET /databases/postgresql/clusters/{clusterId}/backups HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "type": "collection",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "items": [
    {
      "type": "backup",
      "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "state": "AVAILABLE"
      },
      "properties": {
        "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
        "clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
        "version": "14",
        "isActive": true,
        "earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
        "size": 2052,
        "location": "de"
      }
    }
  ],
  "offset": 200,
  "limit": 100,
  "links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?